Subject: The Gods must be Crazy

From: [email-masked] (Sumitro Samaddar)
Date: 5 Jun 89 23:30:06 GMT

In Hindu mythology, we come across the idea that gods can
be pleased by praying to them in difficult conditions such
as in harsh weather, etc. Perhaps the idea was that if one
can concentrate the mind on God /(a god) inspite of the
distractions, God will be pleased. Anyway, I heard the
following irreverent joke about this concept a few years back.

... A guy makes up his mind to please one particular god - Yama.
(Yama is supposed to be the god of death - the cosmic hit man.
 Like every god, he too has a vehicle - he rides on a bull.)
So this guy prays while standing on one leg, in rain, in snow,
... and so on. But Yama is in no hurry. The guy is getting
angry, but since he has already spent so much time on this 
endeavor, he decides to see it through. Finally, after a long
time, Yama appears in front of him and ...

YAMA : "Son, I am very pleased with your devotion. You can have
        3 boons. You may ask for wealth, women, immortality, anything."

Guy  : "Gee, let me see... I have always been fascinated by your
        bull. Let his two horns become one."

YAMA : "You are wasting 1 of your boons, but your wish is granted."
   ( and the bull's horns become one.)

Guy  : "Lord, I have always wondered what it will be like to have
        that horn shoved up someone's ass. Can YOU handle it?"

YAMA : ("What a weirdo .. but he has my word of honor.") "Well, OK.
       But you only have 1 more boon/wish left."

Guy  : "Your bull seems unhappy. Let his horn again become two."

--
Edited by Brad Templeton.  MAIL, yes MAIL your jokes to [email-masked]
Attribute the joke's source if at all possible.  I will reply, mailers willing.

Remember: If you POST your joke instead of mailing it, I will not reply.